### Property

# St Adjustment:upper

since: 14

#### Declaration

    property upper: double [ read, write, construct ]

#### Description [src]

The maximum value of the adjustment.

Note that values will be restricted by `upper - page-size` if `StAdjustment:page-size` is non-zero.

Type: | `gdouble`
Available since: | 14

Default value | 0.000000

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no